
Redmine - Defect #20125

Settings page broken, after upgrade

2015-06-18 15:16 - Mustafa Bahadır Pakalın

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.3

Description

Hello,

I was upgraded redmine to the latest version.

When i try to go to /settings page, its gives 500 internal error and in the logs says;

 Rendered settings/_general.html.erb (220.2ms)

  Rendered settings/_display.html.erb (1488.5ms)

  Rendered settings/_authentication.html.erb (15.8ms)

  Rendered common/_tabs.html.erb (1749.7ms)

  Rendered settings/edit.html.erb within layouts/admin (1780.5ms)

Completed 500 Internal Server Error in 1862ms (ActiveRecord: 12.9ms)

ActionView::Template::Error (undefined method `password_max_age' for #<Class:0x00000004f5f9c0>):

    15: <p><%= setting_text_field :password_min_length, :size => 6 %></p>

    16:

    17: <p>

    18:   <%= setting_select :password_max_age, [[l(:label_disabled), 0]] + [7, 30, 60, 90, 180, 3

65].collect{|days| [l('datetime.distance_in_words.x_days', :count => days), days.to_s]} %>

    19: </p>

    20:

    21: <p><%= setting_check_box :lost_password, :label => :label_password_lost %></p>

  app/helpers/settings_helper.rb:39:in `setting_select'

  app/views/settings/_authentication.html.erb:18:in `block in _app_views_settings__authentication_

html_erb__2528163363059503313_25186860'

  app/views/settings/_authentication.html.erb:1:in `_app_views_settings__authentication_html_erb__

2528163363059503313_25186860'

  app/views/common/_tabs.html.erb:22:in `block in _app_views_common__tabs_html_erb___1600145995607

85040_69827415326320'

  app/views/common/_tabs.html.erb:21:in `each'

  app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb___160014599560785040_698

27415326320'

  app/helpers/application_helper.rb:321:in `render_tabs'

  app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb___243887154580296522_69

827414187380'

  app/controllers/settings_controller.rb:28:in `index'

 How can i fix this problem ?

Thanks...

History

#1 - 2015-06-18 15:22 - Mustafa Bahadır Pakalın

- Status changed from New to Resolved

Solved the problem with applying new configuration files (settings.yml is old)

#2 - 2015-06-28 09:36 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid
